#include "Server_Winsock_Communicator.h"

/*****************************************************************
 * Copy constructor
 * PRE: comm is an object which inherits from Server_Winsock_Communicator
 * POST: data members are equal to comm's data memebers.
 *****************************************************************/
Server_Winsock_Communicator::Server_Winsock_Communicator(const Server_Winsock_Communicator & comm)
  : Winsock_Communicator(comm)
{
   this->connected = comm.connected;
   this->myClient = comm.myClient;
}

/*****************************************************************
 * operator= - implements the assignment operator
 * PRE: comm is an object which inherits from Server_Winsock_Communicator
 * POST: data members are equal to comm's data memebers.
 *****************************************************************/
Server_Winsock_Communicator & Server_Winsock_Communicator::operator=(const Server_Winsock_Communicator & comm)
{
   Winsock_Communicator::operator=(comm);
   this->connected = comm.connected;
   this->myClient = comm.myClient;
   return *this;
}
