#include "Server_BSD_Communicator.h"

/*****************************************************************
 * Copy constructor
 * PRE: comm is an object which inherits from Server_BSD_Communicator
 * POST: data members are equal to comm's data memebers.
 *****************************************************************/
Server_BSD_Communicator::Server_BSD_Communicator(const Server_BSD_Communicator & comm)
  : BSD_Communicator(comm)
{
   this->connected = comm.connected;
   this->myClient = comm.myClient;
}

/*****************************************************************
 * operator= - implements the assignment operator
 * PRE: comm is an object which inherits from Server_BSD_Communicator
 * POST: data members are equal to comm's data memebers.
 *****************************************************************/
Server_BSD_Communicator & Server_BSD_Communicator::operator=(const Server_BSD_Communicator & comm)
{
   BSD_Communicator::operator=(comm);
   this->connected = comm.connected;
   this->myClient = comm.myClient;
   return *this;
}
